> For the complete documentation index, see [llms.txt](https://docs.finout.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finout.io/api/finout-api/finout-api-v1.md).

# Finout API V1

The Finout V1 API is the first generation of the Finout API, enabling you to integrate, analyze, and optimize your cloud expenses. With endpoints for cost insights, tagging, and more, the API empowers teams to automate workflows, track spending, and drive efficiency across their cloud environments.

{% hint style="info" %}
V2 is the recommended API for all new integrations. Use V1 when you need APIs which are not yet available in V2.
{% endhint %}

***

### Authentication

All Finout V1 API requests require a Client ID and Secret Key. See [Generate an API Token](https://docs.finout.io/api/finout-api/generate-an-api-token) to get started.

***

### Available V1 APIs

* [Cost API V1](/api/finout-api/finout-api-v1/cost-api-v1.md)
* [Query Language API V1](/api/finout-api/finout-api-v1/query-language-api-v1.md)
* [Virtual Tags API V1](/api/finout-api/finout-api-v1/virtual-tags-api-v1.md)
* [CostGuard API V1](/api/finout-api/finout-api-v1/costguard-api-v1.md)
* [Endpoint API V1](/api/finout-api/finout-api-v1/endpoint-api-v1.md)
* [Virtual Tag Metadata API V1](/api/finout-api/finout-api-v1/virtual-tag-metadata-api-v1.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.finout.io/api/finout-api/finout-api-v1.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
